Subject: Re: xdvi linking problems.
From: [email-masked] (Arlindo da Silva)

22 Jun 1997 08:21:27 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (David Ascher)
Original-Cc: [email-masked]
In-Reply-To: <Pine.SGI.3.95q.970622000504.26728A-100000@maigret> from "David Ascher" at Jun 22, 97 00:14:05 am
X-Mailer: ELM [version 2.4 PL21]
Original-Sender: [email-masked]

> 
> I have a question which I hope you can help with -- I'm trying to build
> xdvi on gnuwin/b18.  I've installed sergey's X11 dll's, but the Makefile
> is looking for the good ole' libX11.a, not libX11.dll -- how can I either
> get a .a from a .dll, or alternatively tell gcc to link with the .dll? 
> 

You have several options:

1) Make a libX11.a from libX11.dll as Alex suggests;

2) Grab libX11.a from:

   ftp://niteroi.gsfc.nasa.gov/pub/win32/X11R6.3/X11R6.3/lib/libX11.a

   which also requires the libX11.dll that you already have,

or

3) Grab the full static libX11.a from

   ftp://niteroi.gsfc.nasa.gov/pub/win32/X11R6.3/X11R6.3/lib/static/libX11.a

   This does not require the libX11.dll.

BTW, if you use the static libraries (which causes the executables to
be larger) your client will work with the original b18 cygwin.dll, no
need for Sergey's patch. 

   Arlindo.

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/    mailto://[email-masked]    |
   |    \  o o o o o o o  /                                          |
   |     \_______________/            Home: (301) 754-1121           |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^         FAX: (301) 805-7959           |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".